%define with_db 0

Summary: Rsyslog, the enhanced syslogd for Linux and Unix 
Name: rsyslog
Version: 1.13.4
Release: 1
License: GPL
Group: System Environment/Daemons
URL: http://www.rsyslog.com/
Source0: rsyslog-%{version}.tar.gz
Conflicts: logrotate < 3.5.2
%if %{with_db}
BuildRequires: mysql-devel >= 4.0
%endif
Requires: logrotate
Requires: bash >= 2.0
Requires(post): /sbin/chkconfig coreutils
Requires(preun): /sbin/chkconfig /sbin/chkconfig
Requires(postun): /sbin/service
Provides: syslog
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Rsyslog is an enhanced multi-threaded syslogd supporting, among others, MySQL,
syslog/tcp, RFC 3195, permitted sender lists, filtering on any message part,
and fine grain output format control. It is quite compatible to stock sysklogd
and can be used as a drop-in replacement. Its advanced features make it 
suitable for enterprise-class, encryption protected syslog relay chains while 
at the same time being very easy to setup for the novice user.


%prep
%setup -q -n rsyslog-%{version}
%if %{with_db}
perl -pi -e 's/FEATURE_DB=0/FEATURE_DB=1/' linux/Makefile
perl -pi -e "s/lib\/mysql/%_lib\/mysql/" linux/Makefile
%endif

%build
pushd linux
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT{%{_sysconfdir},/sbin,%{_mandir}/man{5,8}}

pushd linux
make install TOPDIR=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT%{_mandir} BINDIR=$RPM_BUILD_ROOT/sbin/ \
             MAN_OWNER=`id -nu`
popd

install -m644 redhat/rsyslog.conf $RPM_BUILD_ROOT%{_sysconfdir}/rsyslog.conf
install -d -m 755 $RPM_BUILD_ROOT%{_initrddir}
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
install -m755 redhat/rsyslog.init $RPM_BUILD_ROOT%{_initrddir}/rsyslog
install -m644 redhat/rsyslog.log $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/rsyslog
install -m644 redhat/rsyslog.sysconfig $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/rsyslog

chmod 755 $RPM_BUILD_ROOT/sbin/rsyslogd
chmod 755 $RPM_BUILD_ROOT/sbin/rfc3195d

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 = 1 ]; then
    /sbin/chkconfig --add rsyslog
fi
for n in /var/log/{messages,secure,maillog,spooler}
do
        [ -f $n ] && continue
        umask 066 && touch $n
done

%preun
if [ $1 = 0 ]; then
   service rsyslog stop >/dev/null 2>&1 ||:
   /sbin/chkconfig --del rsyslog
fi

%postun
if [ "$1" -ge "1" ]; then
   service rsyslog condrestart > /dev/null 2>&1 ||:
fi	

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING INSTALL NEWS README.linux createDB.sql
%config(noreplace) %{_sysconfdir}/rsyslog.conf
%config(noreplace) %{_sysconfdir}/sysconfig/rsyslog
%config(noreplace) %{_sysconfdir}/logrotate.d/rsyslog
%{_sysconfdir}/rc.d/init.d/rsyslog
/sbin/*
%{_mandir}/*/*

%changelog
* Mon Jun 18 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.4-1
- upgrade to new upstream release

* Wed Jun 13 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.2-2
- DB support off

* Tue Jun 12 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.2-1
- new upstream release based on redhat patch

* Fri Jun 08 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.1-2
- rsyslog package provides its own kernel log. daemon (rklogd)

* Mon Jun 04 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.1-1
- Initial rpm build
